from django.urls import path, include
from django.contrib.auth import views as auth_views
from . import views

urlpatterns = [
    path('', views.home, name='home'),
    path('new-fit/', views.new_fit, name='new_fit'),
    path('outfits/', views.outfits, name='outfits'),
    path('wardrobe/', views.wardrobe, name='wardrobe'),
    path('accessories/', views.accessories, name='accessories'),
    path('add-item/', views.add_item, name='add_item'),
    path('delete-item/<int:pk>/', views.delete_item, name='delete_item'),
    path('save-outfit/', views.save_outfit, name='save_outfit'),
    path('schedule-outfit/', views.schedule_outfit, name='schedule_outfit'),
    path('create-folder/', views.create_folder, name='create_folder'),
    
    # Auth
    path('accounts/login/', auth_views.LoginView.as_view(template_name='registration/login.html'), name='login'),
    path('accounts/logout/', auth_views.LogoutView.as_view(next_page='login'), name='logout'),
    path('accounts/signup/', views.signup, name='signup'),
]